#ifndef PAGEWIDGET_H
#define PAGEWIDGET_H

#include <QWidget>

class PageWidget : public QWidget
{
    Q_OBJECT
public:
    explicit PageWidget(QWidget *parent = 0);
    

    void setDocumentPath(const QString& path);
signals:
    
public slots:
    void displayPage(int pageNumber);
    void displayPrevPage();
    void displayNextPage();

private:
    void paintEvent(QPaintEvent *);
    int mPageNumber;
    QString mDocPath;
};

#endif // PAGEWIDGET_H
